Index: branches/PersistenceReintegration/HeuristicLab.Persistence/4.0/Transformers/Transformers.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Persistence/4.0/Transformers/Transformers.cs	(revision 14926)
+++ branches/PersistenceReintegration/HeuristicLab.Persistence/4.0/Transformers/Transformers.cs	(revision 14927)
@@ -31,8 +31,7 @@
 using System.Reflection;
 using Google.ProtocolBuffers;
-using HeuristicLab.Persistence.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.Persistence {
+  [StorableType("8c7e99f5-092f-4cef-8b72-8afec1d10236")]
   public abstract class BoxTransformer<T> : Transformer {
     public override bool CanTransformType(Type type) {
@@ -55,4 +54,5 @@
 
   #region Scalar Box Transformers
+  [StorableType("4b800c20-e93d-4186-9ccc-9e8081c028bb")]
   public abstract class BoolBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -67,4 +67,5 @@
     protected abstract T ToValueType(bool value, Type type, Mapper mapper);
   }
+  [StorableType("72b92810-3eee-4a35-b87a-0a9b06b58945")]
   public abstract class IntBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -79,4 +80,5 @@
     protected abstract T ToValueType(int value, Type type, Mapper mapper);
   }
+  [StorableType("e7344a71-276d-4fc7-9d80-1f0a8b10dde5")]
   public abstract class LongBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -91,4 +93,5 @@
     protected abstract T ToValueType(long value, Type type, Mapper mapper);
   }
+  [StorableType("76833301-5d1d-436d-86f6-6cfe1830405e")]
   public abstract class UnsignedIntBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -103,4 +106,5 @@
     protected abstract T ToValueType(uint value, Type type, Mapper mapper);
   }
+  [StorableType("4eb19b56-7ac7-497c-b25c-a860d3d72565")]
   public abstract class UnsignedLongBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -115,4 +119,5 @@
     protected abstract T ToValueType(ulong value, Type type, Mapper mapper);
   }
+  [StorableType("1a6613b2-772f-4334-b688-8b2a8483123b")]
   public abstract class FloatBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -127,4 +132,5 @@
     protected abstract T ToValueType(float value, Type type, Mapper mapper);
   }
+  [StorableType("c7fee156-6310-42a6-9f07-838cef8f405e")]
   public abstract class DoubleBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -139,4 +145,5 @@
     protected abstract T ToValueType(double value, Type type, Mapper mapper);
   }
+  [StorableType("f7ea684c-8784-4939-80d4-318558a8b4a4")]
   public abstract class StringBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -151,4 +158,5 @@
     protected abstract T ToValueType(string value, Type type, Mapper mapper);
   }
+  [StorableType("cb1680ec-3141-437d-b28d-f17595ca6815")]
   public abstract class BytesBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -166,4 +174,5 @@
 
   #region Array Box Transformers
+  [StorableType("a6840c61-cf07-4e0a-a13c-392565e7326e")]
   public abstract class ByteArrayBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -178,4 +187,5 @@
     protected abstract T FromByteString(ByteString byteString);
   }
+  [StorableType("543de8f9-bf32-431d-af52-8dd95cfd876f")]
   public abstract class BoolArrayBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -190,4 +200,5 @@
     protected abstract T ToValueType(IEnumerable<bool> value, Type type, Mapper mapper);
   }
+  [StorableType("fb338e93-09c1-4e6e-8731-c5fefbb7fa82")]
   public abstract class IntArrayBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -202,4 +213,5 @@
     protected abstract T ToValueType(IEnumerable<int> value, Type type, Mapper mapper);
   }
+  [StorableType("f751fbbd-ddd9-4f22-bf5e-9336d8913ab0")]
   public abstract class LongArrayBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -214,4 +226,5 @@
     protected abstract T ToValueType(IEnumerable<long> value, Type type, Mapper mapper);
   }
+  [StorableType("912793f8-0136-4621-880c-5d6da0bbefa5")]
   public abstract class UnsignedIntArrayBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -226,4 +239,5 @@
     protected abstract T ToValueType(IEnumerable<uint> value, Type type, Mapper mapper);
   }
+  [StorableType("e9b844a1-9f14-438f-abd8-8af0fdb73d77")]
   public abstract class UnsignedLongArrayBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -238,4 +252,5 @@
     protected abstract T ToValueType(IEnumerable<ulong> value, Type type, Mapper mapper);
   }
+  [StorableType("f08a787d-d695-44ee-a9ac-e8b966f98c34")]
   public abstract class FloatArrayBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -250,4 +265,5 @@
     protected abstract T ToValueType(IEnumerable<float> value, Type type, Mapper mapper);
   }
+  [StorableType("622efa85-484e-459e-b79d-4462ba225394")]
   public abstract class DoubleArrayBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -262,4 +278,5 @@
     protected abstract T ToValueType(IEnumerable<double> value, Type type, Mapper mapper);
   }
+  [StorableType("5dfba6f6-2762-4d08-9c34-f6d10cc20913")]
   public abstract class StringArrayBoxTransformer<T> : BoxTransformer<T> {
     protected override void Populate(Box.Builder box, T value, Mapper mapper) {
@@ -277,4 +294,5 @@
 
   [Transformer("11B822C9-46A0-4B65-AE4A-D12F63DDE9F6", 50)]
+  [StorableType("7d783c07-2e05-4d89-9c06-b243c546e667")]
   internal sealed class TypeTransformer : Transformer {
     public override bool CanTransformType(Type type) {
@@ -321,4 +339,5 @@
   #region Primitive Value Types
   [Transformer("268617FE-3F0F-4029-8248-EDA420901FB6", 10000)]
+  [StorableType("320cba58-1aaf-492b-be3b-f59eea085ebe")]
   internal sealed class ObjectTransformer : BoxTransformer<object> {
     protected override void Populate(Box.Builder box, object value, Mapper mapper) { }
@@ -327,4 +346,5 @@
 
   [Transformer("9FA1C6A8-517E-4623-AC1B-7E9AEF6ED13D", 200)]
+  [StorableType("be3c6d74-5c67-4a54-ab3c-f1040795d364")]
   internal sealed class BoolTransformer : BoolBoxTransformer<bool> {
     protected override bool ToBoxType(bool value, Mapper mapper) { return value; }
@@ -333,4 +353,5 @@
 
   [Transformer("059633E9-12CB-43EC-8544-57746536E281", 201)]
+  [StorableType("3f1e111d-3ea8-4318-884f-185ef96bdfe4")]
   internal sealed class ByteTransformer : UnsignedIntBoxTransformer<byte> {
     protected override uint ToBoxType(byte value, Mapper mapper) { return value; }
@@ -339,4 +360,5 @@
 
   [Transformer("5DC2F3AC-0852-4B57-A861-D29CC814A94C", 202)]
+  [StorableType("498da443-43d3-4bc4-9ee9-c41416bb5c6b")]
   internal sealed class SByteTransformer : IntBoxTransformer<sbyte> {
     protected override int ToBoxType(sbyte value, Mapper mapper) { return value; }
@@ -345,4 +367,5 @@
 
   [Transformer("B862E642-A94A-4870-8065-06126A35A9E1", 203)]
+  [StorableType("9f9ea850-1dd5-4dc0-abb5-8e75b22a0ffe")]
   internal sealed class ShortTransformer : IntBoxTransformer<short> {
     protected override int ToBoxType(short value, Mapper mapper) { return value; }
@@ -351,4 +374,5 @@
 
   [Transformer("D1D3062D-F1BB-4189-AE50-D6986E1DEB4E", 204)]
+  [StorableType("4b70fdb5-a2ed-4a08-ab17-10fb5db11ada")]
   internal sealed class UShortTransformer : UnsignedIntBoxTransformer<ushort> {
     protected override uint ToBoxType(ushort value, Mapper mapper) { return value; }
@@ -357,4 +381,5 @@
 
   [Transformer("6C444645-3062-4D15-AD01-E6E1B0692A2B", 205)]
+  [StorableType("fdf24c34-7c10-49bb-aad2-a668c1490381")]
   internal sealed class CharTransformer : UnsignedIntBoxTransformer<char> {
     protected override uint ToBoxType(char value, Mapper mapper) { return value; }
@@ -363,4 +388,5 @@
 
   [Transformer("649E73B2-EFA6-4E01-BCB4-4B29D652C9CB", 206)]
+  [StorableType("0b2bcdf7-5787-4027-acd4-46f5f7641bff")]
   internal sealed class IntTransformer : IntBoxTransformer<int> {
     protected override int ToBoxType(int value, Mapper mapper) { return value; }
@@ -369,4 +395,5 @@
 
   [Transformer("BCF25010-81A2-49BC-88CC-407D3F393D5B", 207)]
+  [StorableType("eec933ec-f705-435e-9b7e-e4fc4d90c21e")]
   internal sealed class UIntTransformer : UnsignedIntBoxTransformer<uint> {
     protected override uint ToBoxType(uint value, Mapper mapper) { return value; }
@@ -375,4 +402,5 @@
 
   [Transformer("B6F6ACAE-755C-47EE-B8BF-7CDECBE19C30", 208)]
+  [StorableType("b0edffdd-8a00-48e1-a7a1-808ddec3b933")]
   internal sealed class LongTransformer : LongBoxTransformer<long> {
     protected override long ToBoxType(long value, Mapper mapper) { return value; }
@@ -381,4 +409,5 @@
 
   [Transformer("82333ACA-F041-44E0-B365-27C399594BA7", 209)]
+  [StorableType("0ebd1d6b-aa2d-442b-b524-68558d77e22e")]
   internal sealed class ULongTransformer : UnsignedLongBoxTransformer<ulong> {
     protected override ulong ToBoxType(ulong value, Mapper mapper) { return value; }
@@ -387,4 +416,5 @@
 
   [Transformer("8FE91ECF-2261-4934-BECD-C38923B7A703", 210)]
+  [StorableType("d9f05b32-218f-4b8e-9ec7-ab5dcbbaf0fc")]
   internal sealed class FloatTransformer : FloatBoxTransformer<float> {
     protected override float ToBoxType(float value, Mapper mapper) { return value; }
@@ -393,4 +423,5 @@
 
   [Transformer("070D23EA-7F38-46B7-A667-219BEF914E49", 211)]
+  [StorableType("70b79b46-2713-42ac-ace6-a55ffb0624be")]
   internal sealed class DoubleTransformer : DoubleBoxTransformer<double> {
     protected override double ToBoxType(double value, Mapper mapper) { return value; }
@@ -399,4 +430,5 @@
 
   [Transformer("BA55C7A6-C91E-4351-A889-E4A7E647F16D", 212)]
+  [StorableType("4ed946fd-aac8-407b-bb9e-093048024d15")]
   internal sealed class DateTimeTransformer : LongBoxTransformer<DateTime> {
     protected override long ToBoxType(DateTime value, Mapper mapper) { return value.Ticks; }
@@ -405,4 +437,5 @@
 
   [Transformer("0C91441B-2D97-432B-B493-D6EC483FC5AD", 213)]
+  [StorableType("bbc20151-b695-43dc-a38a-a610c8410fd2")]
   internal sealed class TimeSpanTransformer : LongBoxTransformer<TimeSpan> {
     protected override long ToBoxType(TimeSpan value, Mapper mapper) { return value.Ticks; }
@@ -411,4 +444,5 @@
 
   [Transformer("0B540EAC-79AB-40CF-8277-D2C81135FEB6", 214)]
+  [StorableType("aac1fee2-ea34-46b4-9db7-3ae8da8927eb")]
   internal sealed class ColorTransformers : IntBoxTransformer<Color> {
     protected override int ToBoxType(Color value, Mapper mapper) { return value.ToArgb(); }
@@ -417,4 +451,5 @@
 
   [Transformer("2E6D4A40-B4BE-425F-8E35-2D7C00054639", 215)]
+  [StorableType("11a33d00-5edc-4c49-884a-9f2809c23b30")]
   internal sealed class PointTransformer : IntArrayBoxTransformer<Point> {
     protected override IEnumerable<int> ToBoxType(Point value, Mapper mapper) { return new int[] { value.X, value.Y }; }
@@ -423,4 +458,5 @@
 
   [Transformer("97B5CFC8-CDFA-4EB5-B4CD-5B3CFA5CD844", 216)]
+  [StorableType("993238c2-a2ed-4e0d-84ae-ad025f2f20f4")]
   internal sealed class KeyValuePairTransformer : BoxTransformer<object> {
     public override bool CanTransformType(Type type) {
@@ -452,4 +488,5 @@
 
   [Transformer("EBD8BF65-D97D-4FD4-BF4F-9D58A72B6249", 217)]
+  [StorableType("b7725dfa-94fb-4169-b375-6e46b7ca4810")]
   internal sealed class DecimalTransformer : UnsignedIntBoxTransformer<decimal> {
     protected override uint ToBoxType(decimal value, Mapper mapper) {
@@ -478,4 +515,5 @@
   #region String
   [Transformer("E75A594C-0034-4DAB-B28E-8F84F9F6DE8D", 218)]
+  [StorableType("ba52fce8-bf0c-47ad-95dd-df5d9281942d")]
   internal sealed class StringTransformer : UnsignedIntBoxTransformer<string> {
     protected override uint ToBoxType(string value, Mapper mapper) { return mapper.GetStringId(value); }
@@ -486,4 +524,5 @@
   #region Enum
   [Transformer("93FF076B-BC4B-4C39-8C40-15E004468C98", 219)]
+  [StorableType("f8a7dbb4-e1ce-4db8-905e-f3a05f5ca000")]
   internal sealed class EnumTransformer : Transformer {
     public override bool CanTransformType(Type type) {
@@ -512,4 +551,5 @@
   #region Struct
   [Transformer("89DAAFC5-726C-48D4-A4E0-2B0D27329642", 220)]
+  [StorableType("c3c4ad38-7110-439c-b73c-d33466db3db4")]
   internal sealed class StructTransformer : Transformer {
     public override bool CanTransformType(Type type) {
@@ -552,9 +592,9 @@
       foreach (var t in components) {
         string name = mapper.GetString(t.Key);
-        MemberInfo[] mis = type.GetMember(name, BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic);        
+        MemberInfo[] mis = type.GetMember(name, BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic);
         if (mis.Length != 1)
           throw new Exception("ambiguous struct member name " + name);
         MemberInfo mi = mis[0];
-        if(StorableAttribute.IsStorable(mi))
+        if (StorableAttribute.IsStorable(mi))
           throw new PersistenceException("Don't use stroable attributes for structs as all fields are serialized automatically.");
         if (mi.MemberType == MemberTypes.Field)
@@ -571,4 +611,5 @@
   #region Tuple
   [Transformer("63A19D57-EEEF-4346-9F06-B35B15EBFFA3", 221)]
+  [StorableType("ab537f25-dc21-4585-b743-0350a5cf1e54")]
   internal sealed class TupleTransformer : Transformer {
     private static readonly HashSet<Type> supportedTypes = new HashSet<Type> {
@@ -616,4 +657,5 @@
   #region Bitmap
   [Transformer("D0ADB806-2DFD-459D-B5DA-14B5F1152534", 222)]
+  [StorableType("b13d6153-e71d-4b76-9893-81d3570403e8")]
   internal sealed class BitmapTransformer : ByteArrayBoxTransformer<Bitmap> {
     protected override ByteString ToByteString(Bitmap value) {
@@ -636,4 +678,5 @@
   #region Font
   [Transformer("AFF27987-3301-4D70-9601-EFCA31BDA0DB", 223)]
+  [StorableType("b9f9a371-4dcb-478b-b0d4-6f87a15c02b5")]
   internal sealed class FontTransformer : UnsignedIntArrayBoxTransformer<Font> {
 
@@ -680,4 +723,5 @@
   #region Array Types
   [Transformer("FF89F6D1-CDE3-498E-9166-F70AC6EB01F1", 301)]
+  [StorableType("59d8363a-7e6c-4d29-9432-8274acd2145f")]
   internal sealed class ByteArrayTransformer : ByteArrayBoxTransformer<byte[]> {
     protected override ByteString ToByteString(byte[] value) {
@@ -690,4 +734,5 @@
 
   [Transformer("B49B3F2D-2E97-4BAB-8705-8D29DA707C6A", 302)]
+  [StorableType("304c7463-4575-481b-8922-6a54957305c7")]
   internal sealed class SByteArrayTransformer : ByteArrayBoxTransformer<sbyte[]> {
     protected override ByteString ToByteString(sbyte[] value) {
@@ -700,4 +745,5 @@
 
   [Transformer("F25A73B2-6B67-4493-BD59-B836AF4455D1", 300)]
+  [StorableType("06fdb68c-ec5e-4cb5-9ad1-063fca0b9c2e")]
   internal sealed class BoolArrayTransformer : BoolArrayBoxTransformer<bool[]> {
     protected override IEnumerable<bool> ToBoxType(bool[] value, Mapper mapper) { return value; }
@@ -706,4 +752,5 @@
 
   [Transformer("2811FDD4-6800-4CBA-86D7-9071ED5775ED", 303)]
+  [StorableType("832d8971-51b1-4264-b7eb-07d6e836bf7b")]
   internal sealed class ShortArrayTransformer : ByteArrayBoxTransformer<short[]> {
     protected override ByteString ToByteString(short[] value) {
@@ -726,4 +773,5 @@
 
   [Transformer("1AAC2625-356C-40BC-8CB4-15CB3D047EB8", 304)]
+  [StorableType("c303b4cf-ffd0-47e2-9d94-07f2d558d17f")]
   internal sealed class UShortArrayTransformer : ByteArrayBoxTransformer<ushort[]> {
     protected override ByteString ToByteString(ushort[] value) {
@@ -746,4 +794,5 @@
 
   [Transformer("12F19098-5D49-4C23-8897-69087F1C146D", 305)]
+  [StorableType("55f7c8b0-f2aa-4830-857d-6ce2807da138")]
   internal sealed class CharArrayTransformer : ByteArrayBoxTransformer<char[]> {
     protected override ByteString ToByteString(char[] value) {
@@ -766,4 +815,5 @@
 
   [Transformer("5F6DC3BC-4433-4AE9-A636-4BD126F7DACD", 306)]
+  [StorableType("e7089621-5236-4d37-a592-c8a0816c59fa")]
   internal sealed class IntArrayTransformer : IntArrayBoxTransformer<int[]> {
     protected override IEnumerable<int> ToBoxType(int[] value, Mapper mapper) { return value; }
@@ -772,4 +822,5 @@
 
   [Transformer("3F10274F-D350-4C82-89EA-A5EB36D4EFCC", 307)]
+  [StorableType("0972d235-5e21-4abf-84f8-aad1bbfdff40")]
   internal sealed class UIntArrayTransformer : UnsignedIntArrayBoxTransformer<uint[]> {
     protected override IEnumerable<uint> ToBoxType(uint[] value, Mapper mapper) { return value; }
@@ -778,4 +829,5 @@
 
   [Transformer("E9D550E2-57F7-47F3-803D-37A619DA1A5C", 308)]
+  [StorableType("0c656d5d-11dc-4a75-895a-06701048cd70")]
   internal sealed class LongArrayTransformer : LongArrayBoxTransformer<long[]> {
     protected override IEnumerable<long> ToBoxType(long[] value, Mapper mapper) { return value; }
@@ -784,4 +836,5 @@
 
   [Transformer("C02A205B-2176-4282-AC2B-ADEF96DDBE24", 309)]
+  [StorableType("c5f87514-a6c1-400b-9a6c-8adcf980f701")]
   internal sealed class ULongArrayTransformer : UnsignedLongArrayBoxTransformer<ulong[]> {
     protected override IEnumerable<ulong> ToBoxType(ulong[] value, Mapper mapper) { return value; }
@@ -790,4 +843,5 @@
 
   [Transformer("3C4590D9-C76E-4AFB-98FD-E50D3D051648", 310)]
+  [StorableType("ecc63624-1b78-4bef-8326-74c1a43078ff")]
   internal sealed class FloatArrayTransformer : FloatArrayBoxTransformer<float[]> {
     protected override IEnumerable<float> ToBoxType(float[] value, Mapper mapper) { return value; }
@@ -796,4 +850,5 @@
 
   [Transformer("FB98C399-9323-4470-9A85-9186C2B2D5D4", 311)]
+  [StorableType("03025baa-f57a-48de-b0e2-8e6dc10740ee")]
   internal sealed class DoubleArrayTransformer : DoubleArrayBoxTransformer<double[]> {
     protected override IEnumerable<double> ToBoxType(double[] value, Mapper mapper) { return value; }
@@ -802,4 +857,5 @@
 
   [Transformer("68332513-9CF1-47FA-A093-6DDB663186EC", 312)]
+  [StorableType("791ea34d-e071-4ef2-812b-eb8e2faced45")]
   internal sealed class StringArrayTransformer : StringArrayBoxTransformer<string[]> {
     protected override IEnumerable<string> ToBoxType(string[] value, Mapper mapper) { return value; }
@@ -808,4 +864,5 @@
 
   [Transformer("B01ADF0A-ACAA-444E-9F82-0C7C2AF1F490", 400)]
+  [StorableType("56ae4f46-9fc1-4243-a07f-7b7c24e30545")]
   internal sealed class ArrayTransformer : Transformer {
     public override bool CanTransformType(Type type) {
@@ -897,4 +954,5 @@
 
   [Transformer("4FA5EAAF-ECC7-4A9C-84E7-6583DA96F3B9", 500)]
+  [StorableType("b19c0fe5-6bba-4492-af91-c111edce77dc")]
   internal sealed class EnumerableTransformer : Transformer {
     private static readonly HashSet<Type> supportedTypes = new HashSet<Type> {
@@ -922,5 +980,5 @@
         var comparer = propertyInfo.GetValue(value);
         var comparerType = comparer.GetType();
-        if (Default.CompositeSerializers.Storable.StorableTypeAttribute.IsStorableType(comparerType))
+        if (StorableTypeAttribute.IsStorableType(comparerType))
           uIntArrayBox.AddValues(mapper.GetBoxId(comparer));
         else if (comparerType.GetFields(BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic | BindingFlags.FlattenHierarchy).Any())
@@ -970,4 +1028,5 @@
 
   [Transformer("C47A62F5-F113-4A43-A8EE-CF817EC799A2", 501)]
+  [StorableType("ba53df84-dc97-4d8d-a493-868972ed1002")]
   internal sealed class DictionaryTransformer : Transformer {
     public override bool CanTransformType(Type type) {
@@ -992,5 +1051,5 @@
 
       var comparerType = comparer.GetType();
-      if (Default.CompositeSerializers.Storable.StorableTypeAttribute.IsStorableType(comparerType))
+      if (StorableTypeAttribute.IsStorableType(comparerType))
         dictionaryBox.SetComparerId(mapper.GetBoxId(comparer));
       else if (comparerType.GetFields(BindingFlags.Instance | BindingFlags.Public | BindingFlags.NonPublic | BindingFlags.FlattenHierarchy).Any())
